### R code from vignette source 'NuCMap-intro.Rnw'

###################################################
### code chunk number 1: NuCMap-intro.Rnw:33-34
###################################################
library(NuCMap)


###################################################
### code chunk number 2: NuCMap-intro.Rnw:38-41
###################################################
wfile=system.file("extdata", "watson12.txt",package="NuCMap")
cfile=system.file("extdata", "crick12.txt",package="NuCMap")
plotCUTS(seqname="chrI",watsonfile=wfile,crickfile=cfile,startpos=10000,endpos=12000)


###################################################
### code chunk number 3: NuCMap-intro.Rnw:54-57
###################################################
wfile=system.file("extdata","watson12.txt",package="NuCMap")
cfile=system.file("extdata","crick12.txt",package="NuCMap")
peakDIST(seqname=c("chrI","chrII"),watsonfile=wfile,crickfile=cfile)


###################################################
### code chunk number 4: NuCMap-intro.Rnw:65-68
###################################################
wfile=system.file("extdata","watson12.txt",package="NuCMap")
cfile=system.file("extdata","crick12.txt",package="NuCMap")
trainTEMP1(seqname=c("chrI","chrII"),watsonfile=wfile,crickfile=cfile)


###################################################
### code chunk number 5: NuCMap-intro.Rnw:72-76
###################################################
chrI=system.file("extdata", "chrI.fa",package="NuCMap")
wfile=system.file("extdata", "watson12.txt",package="NuCMap")
cfile=system.file("extdata", "crick12.txt",package="NuCMap")
estNCP1(seqname="chrI",genfile=chrI,watsonfile=wfile,crickfile=cfile,temp1="default")


###################################################
### code chunk number 6: NuCMap-intro.Rnw:90-92
###################################################
result=read.table(system.file("extdata", "NCPscore.ratio_1temp.txt",package="NuCMap"),header=T)
result[1:10,]


###################################################
### code chunk number 7: NuCMap-intro.Rnw:96-98
###################################################
NCP1=system.file("extdata","NCPscore.ratio_1temp.txt",package="NuCMap")
callUNIQUE(estresults=NCP1,seqname=c("chrI","chrII"))


###################################################
### code chunk number 8: NuCMap-intro.Rnw:105-107
###################################################
NCP1=system.file("extdata","NCPscore.ratio_1temp.txt",package="NuCMap")
callRED(estresults=NCP1,seqname=c("chrI","chrII"),threshold="default")


###################################################
### code chunk number 9: NuCMap-intro.Rnw:115-121
###################################################
wfile=system.file("extdata","watson12.txt",package="NuCMap")
cfile=system.file("extdata","crick12.txt",package="NuCMap")
chrI=system.file("extdata","chrI.fa",package="NuCMap")
chrII=system.file("extdata","chrII.fa",package="NuCMap")
umap=system.file("extdata","UNIQUEcenters.txt",package="NuCMap")
trainTEMP4(seqname=c("chrI","chrII"),genfile=c(chrI,chrII),watsonfile=wfile,crickfile=cfile,center=umap)


###################################################
### code chunk number 10: NuCMap-intro.Rnw:125-130
###################################################
chrI=system.file("extdata", "chrI.fa",package="NuCMap")
wfile=system.file("extdata", "watson12.txt",package="NuCMap")
cfile=system.file("extdata", "crick12.txt",package="NuCMap")
temp4_file=system.file("extdata", "trainTEMP4result.txt",package="NuCMap")
estNCP4(seqname="chrI",genfile=chrI,watsonfile=wfile,crickfile=cfile,temp4=temp4_file)


###################################################
### code chunk number 11: NuCMap-intro.Rnw:136-140
###################################################
chrI=system.file("extdata", "chrI.fa",package="NuCMap")
wfile=system.file("extdata", "watson12.txt",package="NuCMap")
cfile=system.file("extdata", "crick12.txt",package="NuCMap")
estNCPcall(seqname="chrI",genfile=chrI,watsonfile=wfile,crickfile=cfile)


###################################################
### code chunk number 12: NuCMap-intro.Rnw:147-151
###################################################
NCP4=system.file("extdata","NCPscore.ratio_4temp.txt",package="NuCMap")
chrI=system.file("extdata","chrI.fa",package="NuCMap")
rmap=system.file("extdata","REDcenters.txt",package="NuCMap")
calOccup(estresults=NCP4,seqname="chrI",genfile=chrI,rednufile=rmap)


###################################################
### code chunk number 13: NuCMap-intro.Rnw:157-161
###################################################
chrI=system.file("extdata", "chrI.fa",package="NuCMap")
chrII=system.file("extdata", "chrII.fa",package="NuCMap")
umap=system.file("extdata", "UNIQUEcenters.txt",package="NuCMap")
plotAATT(seqname=c("chrI","chrII"),genfile=c(chrI,chrII),center=umap)


